Bug 1913638 - CVE-2020-15995 CVE-2020-16043 CVE-2021-21106 CVE-2021-21107 CVE-2021-21108 CVE-2021-21109 CVE-2021-21110 CVE-2021-21111 CVE-2021-21112 CVE-2021-21113 CVE-2021-21114 CVE-2021-21115 CVE-2021-21116 chromium: various flaws [fedora-all]
Summary: CVE-2020-15995 CVE-2020-16043 CVE-2021-21106 CVE-2021-21107 CVE-2021-21108 CV...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: 33
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-21106 CVE-2021-21107 CVE-2021-21108 CVE-2021-21109 CVE-2021-21110 CVE-2021-21111 CVE-2021-21112 CVE-2021-21113 CVE-2020-16043 CVE-2021-21114 CVE-2020-15995 CVE-2021-21115 CVE-2021-21116
TreeView+ depends on / blocked
 
Reported: 2021-01-07 09:32 UTC by msiddiqu
Modified: 2021-01-23 01:29 UTC (History)
4 users (show)

Fixed In Version: chromium-87.0.4280.141-1.fc33 chromium-87.0.4280.141-1.fc32
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-17 01:49:28 UTC
Type: ---


Attachments (Terms of Use)

Description msiddiqu 2021-01-07 09:32:15 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 msiddiqu 2021-01-07 09:32:18 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1913624,1913625,1913626,1913627,1913629,1913630,1913631,1913632,1913633,1913634,1913635,1913636,1913637,1913638

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 jesse 2021-01-13 15:26:30 UTC
Hi - I'm curious about the lag in building the latest patched version of Chromium for Fedora. Is there a reason for the delay? I'd prefer to use the Fedora provided Chromium package and not a third party repository but if security updates can't be rolled out quickly.....I can't use Chromium on Fedora for my primary browser.

Comment 3 Tom "spot" Callaway 2021-01-13 18:41:07 UTC
*waves hands at everything*

Chromium update packages are building now, apologies for the delay.

Comment 4 Fedora Update System 2021-01-14 15:16:49 UTC
FEDORA-2021-d9faeff8eb has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d9faeff8eb

Comment 5 Fedora Update System 2021-01-15 02:07:36 UTC
FEDORA-2021-d9faeff8eb has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d9faeff8eb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d9faeff8eb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-01-15 02:15:34 UTC
FEDORA-2021-79926272ce has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-79926272ce`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-79926272ce

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-01-17 01:49:28 UTC
FEDORA-2021-79926272ce has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-01-23 01:29:56 UTC
FEDORA-2021-d9faeff8eb has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.